Visualizza: Ruota la vista a sinistra

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Std ViewRotateLeft and the translation is 82% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎polski • ‎română • ‎русский
Arrow-left.svg Pagina precedente: Std ViewLeft.svg Vista da sinistra
Pagina successiva: Ruota a destra Std ViewRotateRight.svg Arrow-right.svg

Std ViewRotateLeft.svg Ruota a sinistra

Posizione nel menu
Visualizza → Viste standard → Ruota a sinistra
Ambiente
Tutti
Avvio veloce
Shift+Sinistra
Introdotto nella versione
-
Vedere anche
Ruota a destra

Descrizione

Il comando Ruota a sinistra ruota la camera nella vista 3D attiva intorno alla direzione della vista con incrementi di 90 gradi verso sinistra (in senso antiorario).

Utilizzo

  1. Esistono diversi modi per invocare il comando:
    • Selezionare l'opzione Visualizza → Viste standard → Std ViewRotateLeft.svg Ruota a sinistra dal menu.
    • Selezionare l'opzione Viste standard → Std ViewRotateLeft.svg Ruota a sinistra dal menu contestuale della vista 3D.
    • Usare la scorciatoia da tastiera: Maiusc+Sinistra.

Script

Vedere anche: Script di base per FreeCAD

Per ruotare la vista a sinistra, utilizzare il metodo viewRotateLeft dell'oggetto ActiveView. Questo metodo non è disponibile se FreeCAD è in modalità console.

import FreeCADGui

FreeCADGui.ActiveDocument.ActiveView.viewRotateLeft()
FreeCADGui.ActiveDocument.ActiveView.getCameraOrientation()
Arrow-left.svg Pagina precedente: Std ViewLeft.svg Vista da sinistra
Pagina successiva: Ruota a destra Std ViewRotateRight.svg Arrow-right.svg